
Foreman - Bug #3784

API v2 subtotal in list reports shows wrong value

11/29/2013 01:56 PM - Martin Bacovsky

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

GET "/api/reports?search=host.id+%3D+vm1.mbacovsk.redhat.com"

Retrieved data: {

"total" => 359,

"subtotal" => 359,

"page" => 1,

"per_page" => 20,

"search" => "host.id = vm1.mbacovsk.redhat.com",

"sort" => {

"by" => nil,

"order" => nil

},

"results" => [

...

In the results there is 20 records

History

#1 - 12/02/2013 08:35 AM - Dominic Cleal

- Status changed from New to Need more information

From http://theforeman.org/manuals/1.3/index.html#5.1.2JSONResponseFormatforCollections, this appears correct.  It seems subtotal is the number

of objects, not affected by pagination.

#2 - 12/05/2013 12:48 PM - Martin Bacovsky

- Status changed from Need more information to Closed

You are right, I had bad assumption about the attribute
